VerifyTargetDomain
Initiates verification of a target domain. This checks whether the domain ownership verification token has been properly configured.
Request Syntax
POST /VerifyTargetDomain HTTP/1.1
Content-type: application/json
{
"targetDomainId": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- targetDomainId
-
The unique identifier of the target domain to verify.
Type: String
Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"createdAt": "string",
"domainName": "string",
"status": "string",
"targetDomainId": "string",
"updatedAt": "string",
"verifiedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- createdAt
-
The date and time the target domain was created, in UTC format.
Type: Timestamp
- domainName
-
The domain name of the target domain.
Type: String
- status
-
The verification status of the target domain.
Type: String
Valid Values:
PENDING | VERIFIED | FAILED | UNREACHABLE - targetDomainId
-
The unique identifier of the target domain.
Type: String
- updatedAt
-
The date and time the target domain was last updated, in UTC format.
Type: Timestamp
- verifiedAt
-
The date and time the target domain was verified, in UTC format.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Error Types.
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: